namespace _espe.api
{
	
	/**
	 * @todo narrow conf
	 */
	export function make(
	) : lib_plankton.rest.type_rest
	{
		const rest_subject : lib_plankton.rest.type_rest = lib_plankton.rest.make(
			{
				"title": "espe",
				"versioning_method": "header",
				"versioning_header_name": "X-Api-Version",
				"set_access_control_headers": true,
				"authentication": {
					"kind": "key_header",
					"parameters": {"name": "X-Session-Key"}
				},
			}
		);
		// session
		{
			_espe.api.register_session_begin(rest_subject);
			_espe.api.register_session_end(rest_subject);
		}
		_espe.api.register_email(rest_subject);
		// verification
		{
			// _espe.api.register_verification_get(rest_subject);
			// _espe.api.register_verification_check(rest_subject);
		}
		// member
		{
			_espe.api.register_member_list(rest_subject);
			_espe.api.register_member_read(rest_subject);
			_espe.api.register_member_create(rest_subject);
			_espe.api.register_member_update(rest_subject);
			// _espe.api.register_member_delete(rest_subject);
			_espe.api.register_member_register(rest_subject);
			_espe.api.register_member_urge_for_registration(rest_subject);
		}
		
		
		return rest_subject;
	}
	
}

